For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • GETReturns all automations for a project template.
      • POSTCreates a new automation for a given project template.
      • GETReturns a specific automation for a projecttemplate.
      • PUTUpdates the automation with the specified id for a given projecttemplate.
      • DELDeletes the specified automation for a given projecttemplate.
      • GETGets the actions of an automation of a project template.
      • POSTCreates a new action for an automation of a project template.
      • GETGets a specific action for an automation of a projecttemplate.
      • PUTUpdates a specifc action of an automation of a project template.
      • DELDeletes an action for an automation of a project template.
      • POSTUpdates the order of a project template automation action.
      • POSTReapplies the automation to all projects of this specific project template.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Template Automations

Gets the actions of an automation of a project template.

GET
https://api.awork.com/api/v1/projecttemplates/:projectTemplateId/automations/:automationId/actions
GET
/api/v1/projecttemplates/:projectTemplateId/automations/:automationId/actions
$curl https://api.awork.com/api/v1/projecttemplates/projectTemplateId/automations/automationId/actions \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
5 "createdOn": "2024-01-15T09:30:00Z",
6 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
7 "updatedOn": "2024-01-15T09:30:00Z",
8 "type": "tag-add-task",
9 "order": 2,
10 "values": [
11 {
12 "name": "tag",
13 "value": "Design"
14 }
15 ]
16 }
17]
<Check title="Required Permissions" icon="key">The user must be an admin or have `project-manage-config:read` permissions.</Check>
Was this page helpful?
Previous

Creates a new action for an automation of a project template.

Next
Built with
Required Permissions
The user must be an admin or have project-manage-config:read permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectTemplateIdstringRequiredformat: "uuid"
The id of the project template.
automationIdstringRequiredformat: "uuid"
The id of the automation.

Response

OK
idstringformat: "uuid"
The id of the action.
createdBystringformat: "uuid"
The id of the user who created the action.
createdOnstringformat: "date-time"
The date the action was created.
updatedBystringformat: "uuid"
The id of the user who updated the action.
updatedOnstringformat: "date-time"
The date the action was updated.
typestring or null
The type of the action.
orderdouble or null
The order of the action.
valueslist of objects or null
The values of the action.